MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Namespaces | Variables
MyGUI_EditBox.cpp File Reference
`#include "MyGUI_Precompiled.h"`
`#include "MyGUI_EditBox.h"`
`#include "MyGUI_Gui.h"`
`#include "MyGUI_ResourceSkin.h"`
`#include "MyGUI_SkinManager.h"`
`#include "MyGUI_InputManager.h"`
`#include "MyGUI_ClipboardManager.h"`
`#include "MyGUI_PointerManager.h"`
`#include "MyGUI_ISubWidgetText.h"`
`#include "MyGUI_ScrollBar.h"`
`#include <ctype.h>`

Go to the source code of this file.

## Namespaces
| MyGUI

## Variables
const float | MyGUI::EDIT_CURSOR_TIMER = 0.7f
const float | MyGUI::EDIT_ACTION_MOUSE_TIMER = 0.05f
const int | MyGUI::EDIT_CURSOR_MAX_POSITION = 100000
const int | MyGUI::EDIT_CURSOR_MIN_POSITION = -100000
const size_t | MyGUI::EDIT_MAX_UNDO = 128
const size_t | MyGUI::EDIT_DEFAULT_MAX_TEXT_LENGTH = 2048
const float | MyGUI::EDIT_OFFSET_HORZ_CURSOR = 10.0f
const int | MyGUI::EDIT_ACTION_MOUSE_ZONE = 1500
const std::string | MyGUI::EDIT_CLIPBOARD_TYPE_TEXT = "Text"
const int | MyGUI::EDIT_MOUSE_WHEEL = 50